﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Bonhomme02
{
    public partial class Form1 : Form
    {
        private Bonhomme bonhomme;
        private BaseBJ jambe;
        private Pied pied;
        private Peau corp;
        private BufferedGraphics bufferG = null;
        private Graphics g;

        public Form1()
        {
            InitializeComponent();
            // Modification contre le scintillement - Creation d'une mémoire tampon graphique
            bufferG = BufferedGraphicsManager.Current.Allocate(TV.CreateGraphics(), TV.DisplayRectangle);
            g = bufferG.Graphics;
        }

        private void timerImage_Tick(object sender, EventArgs e)
        {
            if (/*this.bonhomme.Origine.X + this.bonhomme.Lhorizontal >= this.TV.Width*/1==2)
            {
                this.timerImage.Stop();
                this.btnStopDeplacerCTick.Enabled = false;
            }
            else
            {
                jambe.Cacher(this.TV.Handle);
                jambe.Bouger(+3, -3);
                jambe.Afficher(this.TV.Handle);
            }
        }

        private void btnStopDeplacerCTick_Click(object sender, EventArgs e)
        {
            this.timerImage.Stop();
            this.btnStopDeplacerCTick.Enabled = false;
        }

        private void btnEffacer_Click(object sender, EventArgs e)
        {
            Graphics gr = Graphics.FromHwnd(this.TV.Handle);
            gr.FillRectangle(new SolidBrush(this.TV.BackColor), 0, 0, this.TV.Bounds.Width, this.TV.Bounds.Height);
        }

        private void btnCreationCarrosse_Click(object sender, EventArgs e)
        {

            corp = new Peau(this.TV, 80, 80, 100, 40, Math.PI / 2);
            pied = new Pied(this.TV, 25, 10, 0);
            jambe = new BaseBJ(this.TV, ref corp, pied, 80, 10, Math.PI / 2);
            jambe.Haut.Angle = Math.PI/4;
            jambe.Millieux.Angle = Math.PI/2 + Math.PI/8 ;
            jambe.Afficher(this.TV.Handle);
            corp.Afficher(this.TV.Handle);
            this.btnStopDeplacerCTick.Enabled = true;
            this.timerImage.Start();

        }
    } 
}
